package com.uas.platform.b2b.openapi.model;

import java.io.Serializable;

/**
 * 出入库记录
 * 
 * @author yingp
 * 
 */
public class IOItem implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 出、入库数量
	 */
	private Double qty;

	/**
	 * 客户、供应商名称
	 */
	// private String trader;

	/**
	 * 行业
	 */
	private String end_item_fld;

	/**
	 * 发货、收货日期
	 */
	private String date;

	/**
	 * 订单号、采购单号
	 */
	private String po;

	/**
	 * 订单日期
	 */
	private String po_date;

	public IOItem(String date, String kind, Double qty, String po, String po_date) {
		super();
		this.qty = qty;
		this.end_item_fld = kind;
		// this.trader = trader;
		this.date = date;
		this.po = po;
		this.po_date = po_date;
	}

	public Double getQty() {
		return qty;
	}

	public void setQty(Double qty) {
		this.qty = qty;
	}

	// public String getTrader() {
	// return trader;
	// }
	//
	// public void setTrader(String trader) {
	// this.trader = trader;
	// }

	public String getEnd_item_fld() {
		return end_item_fld;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public void setEnd_item_fld(String end_item_fld) {
		this.end_item_fld = end_item_fld;
	}

	public String getPo() {
		return po;
	}

	public void setPo(String po) {
		this.po = po;
	}

	public String getPo_date() {
		return po_date;
	}

	public void setPo_date(String po_date) {
		this.po_date = po_date;
	}

}
